# enorm< sq_T > Class Template Reference

Gaussian density with positive definite (decomposed) covariance matrix. More...

`#include <libEF.h>`

Inheritance diagram for enorm< sq_T >:

[legend]
Collaboration diagram for enorm< sq_T >:

[legend]

List of all members.

## Public Member Functions
| enorm (const RV &rv)
| Default constructor.
void | set_parameters (const vec &mu, const sq_T &R)
| Set mean value `mu` and covariance `R`.
void | dupdate (mat &v, double nu=1.0)
| dupdate in exponential form (not really handy)
vec | sample () const
| Returns a sample, from density .
mat | sample (int N) const
| TODO is it used?
double | evallog_nn (const vec &val) const
| Evaluate normalized log-probability.
double | lognc () const
| logarithm of the normalizing constant,
vec | mean () const
| return expected value
vec | variance () const
| return expected variance (not covariance!)
mpdf * | condition (const RV &rvn) const
| Return conditional density on the given RV, the remaining rvs will be in conditioning.
epdf * | marginal (const RV &rv) const
| Return marginal density on the given RV, the remainig rvs are intergrated out.
vec & | _mu ()
| returns a pointer to the internal mean value. Use with Care!
void | set_mu (const vec mu0)
| access function
sq_T & | _R ()
| returns pointers to the internal variance and its inverse. Use with Care!
const sq_T & | _R () const
virtual void | dupdate (mat &v)
| TODO decide if it is really needed.
virtual double | evallog (const vec &val) const
| Evaluate normalized log-probability.
virtual vec | evallog (const mat &Val) const
| Evaluate normalized log-probability for many samples.
virtual void | pow (double p)
| Power of the density, used e.g. to flatten the density.
virtual mat | sample_m (int N) const
| Returns N samples from density .
virtual vec | evallog_m (const mat &Val) const
| Compute log-probability of multiple values argument `val`.
const RV & | _rv () const
| access function, possibly dangerous!
void | _renewrv (const RV &in_rv)
| modifier function - useful when copying epdfs
## Protected Attributes
vec | mu
| mean value
sq_T | R
| Covariance matrix in decomposed form.
int | dim
| dimension (redundant from rv.count() for easier coding )
RV | rv
| Identified of the random variable.

## Detailed Description

### template<class sq_T>
class enorm< sq_T >

Gaussian density with positive definite (decomposed) covariance matrix.

More?...

The documentation for this class was generated from the following file:

- work/git/mixpp/bdm/stat/libEF.h